asn1_expand_octet_string(3)

NAME
asn1_expand_octet_string - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_expand_octet_string(asn1_node definitions, asn1_node * element, const char * octetName, const char * objectName);

ARGUMENTS

asn1_node definitions
    ASN1 definitions

asn1_node * element
    pointer to an ASN1 structure

const char * octetName
    name of the OCTECT STRING field to expand.

const char * objectName
    name of the OBJECT IDENTIFIER field to use to define the type for expansion.

DESCRIPTION
Expands an "OCTET STRING" element of a structure created from a DER decoding process (the asn1_der_decoding() function). The type used for expansion is the first one following the definition of the actual value of the OBJECT IDENTIFIER indicated by OBJECTNAME.

RETURNS
ASN1_SUCCESS if substitution OK, ASN1_ELEMENT_NOT_FOUND if objectName or octetName are not correct, ASN1_VALUE_NOT_VALID if it wasn't possible to find the type to use for expansion, or other errors depending on DER decoding.

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/